let current_location;
let plugin_context;

ePoc.onLoad = (data) => {
    plugin_context = data.epoc;
    //console.log(plugin_context);

    // Le plugin retourne le nom du template et le shortcode pour l'intégrer dans les pages de texte
    return {
        template: 'texte_trous.html',
        shortcode: '[texte_trous]' // Shortcode à définir ici
    };
}

ePoc.receive = async (data) => {
    console.log("receive :")
    console.log(data)
    switch (data?.event) {
        case "template_load":
            let question_id = plugin_context.contents[current_location]?.questions[0];
            if (!question_id) {
                ePoc.emitToEmbeds(false);
            } else {
                let texte_question = plugin_context.questions[question_id]?.explanation;
                ePoc.emitToEmbeds(texte_question);
            }
            break;

        case "statement":
            current_location = data?.statement?.entityId;
            console.log(current_location);
            break;
    };
    //console.log("");
}
